<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="/css/auction-view.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/comment-view.css" rel="stylesheet"/>
    <script src="/js/auction.js" type="text/javascript"></script>
</head>
<body>
<div th:replace="nav.html :: body"></div>

<div class="wrapper">
    <div class="auction-art">
        <img class="auctionArt" th:src="@{'http://localhost:8080/downloadFile/' + ${commission.getAuction().imageId}}"/>
    </div>
    <div class="description">
        <div class="descriptionText">
            <p th:text="${commission.getAuction().getDescription()}"></p>
        </div>
    </div>

    <div class="auctionLinkBox">
        <p class="auctionLink">
            <a th:href="'http://localhost:8080/auction?id=' + ${commission.getAuction().getId()}">Go
                to this auction</a>
        </p>
    </div>

    <div class="comment" th:each="oneComment : ${commission.getComments()}">
        <div class="leftBoxComment">
            <img class="userAvatar" th:src="@{'http://localhost:8080/downloadFile/2'}"/>
        </div>
        <div><p class="commentNickName" th:text="${oneComment.getUser().getLogin()}"></p></div>
        <div class="rightBoxComment">
            <p th:text="${oneComment.text}"></p>
        </div>
    </div>

    <form class="makeNewPost" enctype="multipart/form-data" id="singleUploadForm" method="post"
          th:action="@{'http://localhost:8080/commission-post-comment?commissionId=' + ${commission.id}}"
          th:object="${comment}">
        <div class="form-group">

            <textarea aria-label="With textarea" class="form-control" id="description"
                      style="height: 250px"
                      th:field="${comment.text}"></textarea>
        </div>

        <button class="btn btn-primary" type="submit">Send</button>
    </form>
</div>
</body>
</html>
